import { GraphQLClient } from 'graphql-request';
import { TypedDocumentNode as DocumentNode } from '@graphql-typed-document-node/core';
import { VariablesAndRequestHeadersArgs } from 'graphql-request/build/esm/types';
import { Variables } from 'graphql-request';
declare class BaseFunctions {
    client: GraphQLClient;
    constructor(client: GraphQLClient);
    request<T, V extends Variables = Variables>(query: DocumentNode<T, V>, ...variablesAndRequestHeaders: VariablesAndRequestHeadersArgs<V>): Promise<T>;
}
export { BaseFunctions };
